Subject: [sidr] Fwd: Document Action: 'The rsync URI Scheme' to Informational RFC

From: Russ Housley <[email-masked]>
Date: Mon, 21 Dec 2009 13:33:52 -0500

This provides the scheme for the rsync URIs in the RPKI certificates.

Russ

>From: The IESG <[email-masked]>
>To: IETF-Announce <[email-masked]>
>Subject: Document Action: 'The rsync URI Scheme' to Informational RFC
>Date: Mon, 21 Dec 2009 09:32:43 -0800 (PST)
>Cc: Internet Architecture Board <[email-masked]>,
>         RFC Editor <[email-masked]>
>
>The IESG has approved the following document:
>
>- 'The rsync URI Scheme '
>    <draft-weiler-rsync-uri-01.txt> as an Informational RFC
>
>This document has been reviewed in the IETF but is not the product of an
>IETF Working Group.
>
>The IESG contact person is Ross Callon.
>
>A URL of this Internet-Draft is:
>http://www.ietf.org/internet-drafts/draft-weiler-rsync-uri-01.txt
>
>Technical Summary
>
>    URIs were previously defined in RFC 2396, which was updated by RFC
>    3986 [RFC3986].  The procedures for registering new URI schemes are
>    defined in RFC 4395 [RFC4395]. This URI scheme is already in active
>    use in the world, but it has never been registered with IANA.  This
>    document makes a provisional registration of the URI scheme that's
>    already in use.
>
>Working Group Summary
>
>    Review was requested from the URI-review list in early July. There
>    is strong consensus on the need for this document (see PROTO writeup
>    by Dave Ward in the ID tracker).
>
>Document Quality
>
>    The document has been well reviewed.
>
>Personnel
>
>    Dave Ward and Russ Housley are the Document Shepherds for this
>    document. Ross Callon is the Responsible Area Director.
>
>RFC Editor Note
>
>   Please replace the last sentence of Section 1.
>
>   OLD:
>
>     This document defines a URI scheme for rsync.
>
>   NEW:
>
>     The rsync utility provides fast incremental file transfer [rsync].
>     This document defines a URI scheme for rsync.
>
>   Add an informative reference for [rsync].
>
>   ADD:
>
>     [rsync]  http://rsync.samba.org/.
>
>   Please update the first paragraph of Section 2, adding a new sentence.
>
>   OLD:
>
>     This section contains the registration template for the rsync URI
>     scheme in accordance with RFC 4395 [RFC4395].
>
>   NEW:
>
>     This section contains the registration template for the rsync URI
>     scheme in accordance with RFC 4395 [RFC4395].  This URI
>     scheme is for the rsync protocol using TCP as the transport
>     protocol.  Other transports, such as rsync over SSH,
>     are not supported by this URI scheme.
>
>   Please add the following paragraph at the send of Section 4.
>
>   ADD:
>
>     Many security considerations for the usage of URIs are discussed in
>     Section 7 of [RFC3986].  The considerations about reliability and
>     consistency, malicious construction, rare IP address formats,
>     sensitive information, and semantic attacks all apply to rsync URIs.
>     The considerations about transcoding do not apply.  The rsync URI
>     scheme has no particularly unique security considerations.
>
>     The security considerations of the rsync protocol are not covered
>     in this document.
>
>   Please add a reference to RFC 5234 in Section 2.
>
>   OLD:
>
>     The rsync URI follows the general syntax from RFC 3986 and is
>     defined by the following ABNF:
>
>        rsyncurl        = "rsync:" hier-part
>
>   NEW:
>
>     The rsync URI follows the general syntax from RFC 3986 and is
>     defined by the following ABNF [RFC5234]:
>
>        rsyncuri        = "rsync:" hier-part
>
>   Please include a reference for RFC 5234 in Section 5.
>
>   ADD:
>
>     [RFC5234]  Crocker, D., Ed., and P. Overell, "Augmented BNF for
>     Syntax Specifications: ABNF", STD 68, RFC 5234, January 2008.
>
>   On the title page, please change Dave Ward's affiliation to be
>   "Juniper Networks".
>
>   In the author's address section, please change Dave Ward's address to:
>
>     David Ward
>     Juniper Networks
>     1194 North Mathilda Avenue
>     Sunnyvale, California 94089-1206 USA
>     Email: [email-masked]
>
>_______________________________________________
>IETF-Announce mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/ietf-announce

---

From: Randy Bush <[email-masked]>
Date: Tue, 22 Dec 2009 04:05:22 +0900

> This provides the scheme for the rsync URIs in the RPKI certificates.

thank you, sam, and dave.

randy